Page MenuHomePhabricator

Please unblock stuck global rename
Closed, ResolvedPublic

Event Timeline

Urbanecm created this task.Sep 19 2019, 1:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio added a comment.EditedSep 19 2019, 10:21 PM

Instructions for anyone attempting to manually unblock: https://wikitech.wikimedia.org/wiki/Stuck_global_renames

mwscript code for convenience to run on mwmaint1002.eqiad.wmnet:

mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=bgwiki --logwiki=metawiki 'Newrdkter' 'NRdk'

Thank you.

Zoranzoki21 added a subscriber: Zoranzoki21.EditedSep 19 2019, 10:56 PM

Instructions for anyone attempting to manually unblock: https://wikitech.wikimedia.org/wiki/Stuck_global_renames
mwscript code for convenience to run on mwmaint1002.eqiad.wmnet:

mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=bgwiki --logwiki=metawiki 'Newrdkter' 'NRdk'

Thank you.

@MarcoAurelio Can @Urbanecm do this, right?

Mentioned in SAL (#wikimedia-operations) [2019-09-20T15:17:25Z] <Urbanecm> mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=bgwiki --logwiki=metawiki 'Newrdkter' 'NRdk' (T233313)

Urbanecm closed this task as Resolved.Sep 20 2019, 3:17 PM
Urbanecm claimed this task.

The rename seems to never started.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 20 2019, 3:17 PM

@MarcoAurelio Can @Urbanecm do this, right?

Yes. Anyone with access to the mwmaint1002 (2001 when in codfw) servers can run it if they know what the script does and is confident with running it.

@Urbanecm Thanks for taking care of this one.

Regards.